admin_checkout_id_gw_payex_put
curl --request PUT \
--url https://checkout.dintero.com/v1/admin/gateways/payex \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"payex": {
"url": "https://api.payex.com",
"payee_id": "<string>",
"token": "<string>",
"subsite": "12345789"
}
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/payex"
payload = { "payex": {
"url": "https://api.payex.com",
"payee_id": "<string>",
"token": "<string>",
"subsite": "12345789"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payex: {
url: 'https://api.payex.com',
payee_id: '<string>',
token: '<string>',
subsite: '12345789'
}
})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/payex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/payex"
payload := strings.NewReader("{\n \"payex\": {\n \"url\": \"https://api.payex.com\",\n \"payee_id\": \"<string>\",\n \"token\": \"<string>\",\n \"subsite\": \"12345789\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://checkout.dintero.com/v1/admin/gateways/payex")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"payex\": {\n \"url\": \"https://api.payex.com\",\n \"payee_id\": \"<string>\",\n \"token\": \"<string>\",\n \"subsite\": \"12345789\"\n }\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}payex-gateway
Update PayEx gateway
scopes:
- admin:dintero
PUT
https://checkout.dintero.com/v1
/
admin
/
gateways
/
payex
admin_checkout_id_gw_payex_put
curl --request PUT \
--url https://checkout.dintero.com/v1/admin/gateways/payex \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"payex": {
"url": "https://api.payex.com",
"payee_id": "<string>",
"token": "<string>",
"subsite": "12345789"
}
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/payex"
payload = { "payex": {
"url": "https://api.payex.com",
"payee_id": "<string>",
"token": "<string>",
"subsite": "12345789"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payex: {
url: 'https://api.payex.com',
payee_id: '<string>',
token: '<string>',
subsite: '12345789'
}
})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/payex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/payex"
payload := strings.NewReader("{\n \"payex\": {\n \"url\": \"https://api.payex.com\",\n \"payee_id\": \"<string>\",\n \"token\": \"<string>\",\n \"subsite\": \"12345789\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://checkout.dintero.com/v1/admin/gateways/payex")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"payex\": {\n \"url\": \"https://api.payex.com\",\n \"payee_id\": \"<string>\",\n \"token\": \"<string>\",\n \"subsite\": \"12345789\"\n }\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
adminKeyJWT
X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.
The content of the header should look like the following:
x-api-key: {api_key}
Query Parameters
keep existing overrides when updating the gateway
keep existing overrides when updating the gateway
Body
application/json
configuration for PayEx GW
Show child attributes
Show child attributes
Response
Gateway updated
Last modified on July 14, 2026
⌘I